pluginManagement {
    repositories {
        mavenLocal()
        mavenCentral {
            metadataSources {
                mavenPom()
                artifact()
                ignoreGradleMetadataRedirection()
            }
        }
        gradlePluginPortal()
    }
}

dependencyResolutionManagement {
    versionCatalogs {
        libs {
            version('gradle', '8.7')
            library('maverick-synergy-client', 'com.sshtools', 'maverick-synergy-client').version('3.1.1')
        }
        testLibs {
            version('junit', '5.10.2')
            version('testcontainers', '1.20.0')
            library('junit-jupiter-api', 'org.junit.jupiter', 'junit-jupiter-api').versionRef('junit')
            library('junit-jupiter-params', 'org.junit.jupiter', 'junit-jupiter-params').versionRef('junit')
            library('junit-jupiter-engine', 'org.junit.jupiter', 'junit-jupiter-engine').versionRef('junit')
            library('junit-vintage-engine', 'org.junit.vintage', 'junit-vintage-engine').versionRef('junit')
            library('junit-jupiter-platform-launcher', 'org.junit.platform', 'junit-platform-launcher').version('1.10.1')
            library('hamcrest', 'org.hamcrest', 'hamcrest-library').version('2.2')
            library('junit4', 'junit', 'junit').version('4.13.2')
            library('mockito-core', 'org.mockito', 'mockito-core').version('5.11.0')
            library('mockito-junit-jupiter', 'org.mockito', 'mockito-junit-jupiter').version('5.11.0')
            library('testcontainers', 'org.testcontainers', 'testcontainers').versionRef('testcontainers')
            library('testcontainers-junit-jupiter', 'org.testcontainers', 'junit-jupiter').versionRef('testcontainers')
        }
    }
}

include 'files-api'
include 'files-ftp'
include 'files-ftp-fs'
include 'files-ftp-mock'
include 'files-sftp'
include 'files-sftp-fs'
include 'files-jadaptive-sftp'
include 'files-jsch'
include 'files-webdav'
include 'files-webdav-fs'
